----------------------------------------------------------------------------------
-- Company:        Pollin Electronic GmbH
-- Engineer:       Armin Schn 
--						 modified by befro
-- 
-- Create Date:    12/03/2009 
-- Design Name:    8 bit led counter
-- Module Name:    blinklicht - Behavioral 
-- Project Name:   Blink_LED
-- Target Devices: XC95144XL
-- Tool versions:  10.1, SP3 (WebPack)
-- Description:    Ausgabe der oberen Bits eines 27 bit Counters auf die 8 Leds
--
-- Dependencies:   ---
--
-- Revision: 
-- Revision 0.01 - File Created
-- Additional Comments: 
--
----------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.STD_LOGIC_ARITH.ALL;
use IEEE.STD_LOGIC_UNSIGNED.ALL;

---- Uncomment the following library declaration if instantiating
---- any Xilinx primitives in this code.
--library UNISIM;
--use UNISIM.VComponents.all;

entity blinklicht is
    Port ( clk : in  STD_LOGIC;
           led : out  STD_LOGIC_VECTOR(7 downto 0 ));
end blinklicht;

architecture Behavioral of blinklicht is

   SIGNAL counter : STD_LOGIC_VECTOR (26 downto 0);

begin

   los_gehts: PROCESS (clk)
	BEGIN
	   IF RISING_EDGE(clk) THEN
		   counter <= counter + '1';
		END IF;
	END PROCESS los_gehts;

   led <= counter(26 downto 19);

end Behavioral;

